Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class FrameCreatorUtility

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.FrameCreatorUtility

    public class FrameCreatorUtility

extends Object

Constructor Summary
`FrameCreatorUtility()`

Method Summary
`static boolean` | `addInstanceType(edu.stanford.smi.protege.model.Instance inst, edu.stanford.smi.protege.model.Cls type, TripleStore ts)`
`static boolean` | `addOwnSlotValue(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Object value, TripleStore ts)`
`static void` | `assertFrameName(TripleStore ts, edu.stanford.smi.protege.model.Frame frame)`
`static edu.stanford.smi.protege.model.Frame` | `createFrameWithType(OWLModel owlModel, edu.stanford.smi.protege.model.FrameID id, edu.stanford.smi.protege.model.Cls type, TripleStore ts)`
`static OWLEnumeratedClass` | `createOWLEnumeratedCls(OWLModel owlModel, String enumClsName, TripleStore ts)`
`static boolean` | `createSubclassOf(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superCls, TripleStore ts)`
`static boolean` | `createSubpropertyOf(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot superSlot, TripleStore ts)`
`static Collection<edu.stanford.smi.protege.model.Cls>` | `getDirectTypes(edu.stanford.smi.protege.model.Instance instance)`
`static boolean` | `hasDirectSuperclass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls supercls)`
`static boolean` | `hasDirectType(edu.stanford.smi.protege.model.Instance inst, edu.stanford.smi.protege.model.Cls type)`
`static boolean` | `hasOwnSlotValue(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Object value)`
`static boolean` | `hasRDFType(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot rdfTypeSlot, edu.stanford.smi.protege.model.Cls type, TripleStore ts)`
`static boolean` | `removeInstanceType(edu.stanford.smi.protege.model.Instance inst, edu.stanford.smi.protege.model.Cls type)`
`static boolean` | `setInstanceType(edu.stanford.smi.protege.model.Instance inst, edu.stanford.smi.protege.model.Cls type, TripleStore ts)`
`static boolean` | `setOwnSlotValue(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Frame value, TripleStore ts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameCreatorUtility

    public FrameCreatorUtility()

Method Detail

### createFrameWithType

    public static edu.stanford.smi.protege.model.Frame createFrameWithType(OWLModel owlModel,
                                                                           edu.stanford.smi.protege.model.FrameID id,
                                                                           edu.stanford.smi.protege.model.Cls type,
                                                                           TripleStore ts)

### assertFrameName

    public static void assertFrameName(TripleStore ts,
                                       edu.stanford.smi.protege.model.Frame frame)

### addInstanceType

    public static boolean addInstanceType(edu.stanford.smi.protege.model.Instance inst,
                                          edu.stanford.smi.protege.model.Cls type,
                                          TripleStore ts)

### setInstanceType

    public static boolean setInstanceType(edu.stanford.smi.protege.model.Instance inst,
                                          edu.stanford.smi.protege.model.Cls type,
                                          TripleStore ts)

### setOwnSlotValue

    public static boolean setOwnSlotValue(edu.stanford.smi.protege.model.Frame frame,
                                          edu.stanford.smi.protege.model.Slot slot,
                                          edu.stanford.smi.protege.model.Frame value,
                                          TripleStore ts)

### removeInstanceType

    public static boolean removeInstanceType(edu.stanford.smi.protege.model.Instance inst,
                                             edu.stanford.smi.protege.model.Cls type)

### hasDirectType

    public static boolean hasDirectType(edu.stanford.smi.protege.model.Instance inst,
                                        edu.stanford.smi.protege.model.Cls type)

### hasDirectSuperclass

    public static boolean hasDirectSuperclass(edu.stanford.smi.protege.model.Cls cls,
                                              edu.stanford.smi.protege.model.Cls supercls)

### createSubclassOf

    public static boolean createSubclassOf(edu.stanford.smi.protege.model.Cls cls,
                                           edu.stanford.smi.protege.model.Cls superCls,
                                           TripleStore ts)

### createSubpropertyOf

    public static boolean createSubpropertyOf(edu.stanford.smi.protege.model.Slot slot,
                                              edu.stanford.smi.protege.model.Slot superSlot,
                                              TripleStore ts)

### addOwnSlotValue

    public static boolean addOwnSlotValue(edu.stanford.smi.protege.model.Frame frame,
                                          edu.stanford.smi.protege.model.Slot slot,
                                          Object value,
                                          TripleStore ts)

### getDirectTypes

    public static Collection<edu.stanford.smi.protege.model.Cls> getDirectTypes(edu.stanford.smi.protege.model.Instance instance)

### hasOwnSlotValue

    public static boolean hasOwnSlotValue(edu.stanford.smi.protege.model.Frame frame,
                                          edu.stanford.smi.protege.model.Slot slot,
                                          Object value)

### hasRDFType

    public static boolean hasRDFType(edu.stanford.smi.protege.model.Frame frame,
                                     edu.stanford.smi.protege.model.Slot rdfTypeSlot,
                                     edu.stanford.smi.protege.model.Cls type,
                                     TripleStore ts)

### createOWLEnumeratedCls

    public static OWLEnumeratedClass createOWLEnumeratedCls(OWLModel owlModel,
                                                            String enumClsName,
                                                            TripleStore ts)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.